/*global describe, beforeEach, it*/
'use strict';

var path = require('path');
var helpers = require('yeoman-generator').test;
var assert = require('yeoman-generator').assert;
var fs = require('fs');
var answers = require('../test_helpers/prompt-answer-factory')({
	"modules":[
		"grunt-contrib-htmlmin"
	]
});

describe('grunt-contrib-htmlmin', function () {
	var helperPath = "helpers/";

	beforeEach(function (done) {
		helpers.run(path.join(__dirname, '../generators/app'))
			.inDir(path.join(__dirname, 'tmp'))
			.withOptions({
				'skip-install': true,
				'skip-welcome-message': true
			})
			.withPrompts(answers)
			.on('end', done);
	});

	it('adds references to package.json', function () {
		assert.fileContent('package.json', /grunt-contrib-htmlmin/);
	});

	it('creates helper files', function () {
		assert.file(helperPath + "_grunt/htmlmin.js");
	});


	it('adds task to concurrent.js file', function () {
		helpers.assertFile(helperPath + "_grunt/concurrent.js", /\'htmlmin\'/);
	});

});